"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Module = void 0;
const main_class_1 = require("./main.class");
class Module {
    constructor() {
        this._main = new main_class_1.Main();
        this._classes = [];
    }
    get bootstrap() {
        return this._main;
    }
    add(...args) {
        this._classes = [
            ...this._classes,
            ...args.map(instance => new instance(this._main))
        ];
    }
    getInstance(value) {
        return this._classes
            .filter(instance => instance instanceof value)
            .length > 0
            && this._classes
                .filter(instance => instance instanceof value)[0];
    }
}
exports.Module = Module;
